server:
  port: 8201


spring:
  application:
    name: cms-user-server
  datasource:
    url: jdbc:mysql://147.139.138.245:3306/kaya?useSSL=false
    username: radev
    password: P@ssw0rd
  jpa:
    open-in-view: false
    show-sql: true
    hibernate:
      ddl-auto: validate
      naming:
        physical-strategy: org.hibernate.boot.model.naming.PhysicalNamingStrategyStandardImpl
        implicit-strategy: org.hibernate.boot.model.naming.ImplicitNamingStrategyLegacyJpaImpl
  mail:
    useApi: true
    endpointApi: http://147.139.138.245:8183/api/v1/bli/mail/send
    #endpointApi: http://ec2-13-214-172-99.ap-southeast-1.compute.amazonaws.com:8183/api/v1/bli/mail/send
    host: smtp.googlemail.com
    port: 465
    username: caryota18
    password: UF3roQ3QYDwX2gM7/Eb+FlsMXZxXIN0BMtixkTVsaTM=
    properties:
      mail:
        smtp:
          auth: true
          connectiontimeout: 5000
          socketFactory:
            port: 465
            class: javax.net.ssl.SSLSocketFactory


eureka:
  client:
    register-with-eureka: true
    fetch-registry: true
    service-url:
      default-zone: http://localhost:8761/eureka


#management.port:8100
#management.security.enabled: false
management.endpoints.web.exposure.include: "*"


keycloak:
  realm: kaya-cms
  auth-server-url: http://147.139.138.245:9595
  ssl-required: none
  resource: kaya-cms-api-client
  credentials:
    secret: Id0f1l4Q0py2XHB9RVKOAgNrGCgUkZOZ
  use-resource-role-mappings: true
  bearer-only: true


kaya-keycloak:
  kaya-cms-api-client:
    join-role: cms_user
    administrator:
      username: admin1@kaya.test
      password: Password1


kaya-cms:
  storage:
    useRemote: false
    basePath: /home/ifabula/kaya-mgmt/back-end/storages
    username: user
    password: password


kaya-sc:
  api:
    baseUri: http://localhost:7050


logging:
  file:
    max-size: 100MB
    path: logs
    name: /home/ifabula/kaya/kaya-cms-api.log
  pattern:
#    file: "%d %-5level [%thread] %logger : %msg%n"
    console: "%d %-5level %logger : %msg%n"


javamelody:
  init-parameters:
    authorized-users: admin:Password2022
